Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class RSAKeyPairGenerator

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--com.ibm.crypto.fips.provider.RSAKeyPairGenerator

All Implemented Interfaces:
  AlgorithmStatus

public final class RSAKeyPairGenerator
extends java.security.KeyPairGeneratorSpi
implements AlgorithmStatus

This class generates RSA public/private key pairs. Note: There is a very small chance that an ArithmeticException being thrown during generateKeyPair().

Version:
  1.00, 04/22/99
Author:
  Janelle Zhang

Constructor Summary
`RSAKeyPairGenerator()`

Method Summary
`java.security.KeyPair` | `generateKeyPair()`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` | `initialize(int strength)`
`void` | `initialize(int strength, java.security.SecureRandom random)` Initializes this KeyPairGenerator for given modulus and random source
`protected java.security.KeyPair` | `internalGenerateKeyPair()`
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyPairGenerator

    public RSAKeyPairGenerator()

Method Detail

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`

### initialize

    public void initialize(int strength,
                           java.security.SecureRandom random)

  Initializes this KeyPairGenerator for given modulus and random source
  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`
  Parameters:
    `strength` - the length of the key to be generated
    `random` - the SecureRandom object for generating random number

### initialize

    public void initialize(int strength)

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Overrides:
    `generateKeyPair` in class `java.security.KeyPairGeneratorSpi`
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### internalGenerateKeyPair

    protected java.security.KeyPair internalGenerateKeyPair()

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD